#!/usr/bin/python

# Anne S. Warlaumont

# Can run by typing something like this at the command line: 
# python -c 'import gradualRLrun; print gradualRLrun.gradualRLrun(0,0,100)' >> gradualRLrun_0_0_100.out &
# python -c 'import gradualRLrun; print gradualRLrun.gradualRLrun(1,0,100)' >> gradualRLrun_1_0_100.out &
# python -c 'import gradualRLrun; print gradualRLrun.gradualRLrun(0,1,100)' >> gradualRLrun_0_1_100.out &
# python -c 'import gradualRLrun; print gradualRLrun.gradualRLrun(1,1,100)' >> gradualRLrun_1_1_100.out &

import gradualRL
import numpy
import math

PspList=[]
PnspList=[]
nspList=[]
nnspList=[]
lastdaysprateList=[]
childcontonadultList=[]

CISize=1.96

def gradualRLrun(ASDadult,ASDvol,nsims):
    for sim in range(nsims):
        print
        print "sim: ", sim
        Psp, Pnsp, nsp, nnsp, lastdaysprate, childcontonadult = gradualRL.gradualRL(ASDadult,ASDvol)
        PspList.append(Psp)
        PnspList.append(Pnsp)
        nspList.append(nsp)
        nnspList.append(nnsp)
        lastdaysprateList.append(lastdaysprate)
        childcontonadultList.append(childcontonadult)
    lastdaysprateMean=numpy.mean(lastdaysprateList)
    lastdaysprateStd=numpy.std(lastdaysprateList)
    lastdaysprateSE=lastdaysprateStd/math.sqrt(nsims)
    lastdaysprateCI=[lastdaysprateMean-(CISize*lastdaysprateSE),lastdaysprateMean+(CISize*lastdaysprateSE)]
    childcontonadultMean = numpy.mean(childcontonadultList)
    childcontonadultStd=numpy.std(childcontonadultList)
    childcontonadultSE=childcontonadultStd/math.sqrt(nsims)
    childcontonadultCI=[childcontonadultMean-(CISize*childcontonadultSE),childcontonadultMean+(CISize*childcontonadultSE)]
    print
    print "lastdaysprateList: ", lastdaysprateList
    print "lastdaysprateMean: ", lastdaysprateMean
    print "lastdaysprateStd: ", lastdaysprateStd
    print "lastdaysprateSE: ", lastdaysprateSE
    print "lastdaysprateCI: ", lastdaysprateCI
    print "childcontonadultMean: ", childcontonadultMean
    print "childcontonadultStd: ", childcontonadultStd
    print "childcontonadultSE: ", childcontonadultSE
    print "childcontonadultCI: ", childcontonadultCI
        